Bug 630898 - mongodb does not work on ppc
mongodb does not work on ppc
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mongodb (Show other bugs)
12
powerpc Linux
low Severity medium
: ---
: ---
Assigned To: Ionuț Arțăriși
Fedora Extras Quality Assurance
https://jira.mongodb.org/browse/SERVE...
:
: 637262 (view as bug list)
Depends On:
Blocks: F-ExcludeArch-ppc FE-ExcludeArch-ppc64/F-ExcludeArch-ppc64 F-ExcludeArch-s390x F-ExcludeArch-SPARC
  Show dependency treegraph
 
Reported: 2010-09-07 06:11 EDT by Ionuț Arțăriși
Modified: 2016-02-16 08:51 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 07:35:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ionuț Arțăriși 2010-09-07 06:11:58 EDT
This is a tracker bug in accordance with the Packaging Guidelines.

According to upstream[1]:

> The MongoDB server (mongod) must run on a little-endian CPU, so if you are using a PPC OS X machine, mongod will not work.

[1] http://www.mongodb.org/downloads
Comment 1 Ionuț Arțăriși 2010-09-25 11:09:30 EDT
*** Bug 637262 has been marked as a duplicate of this bug. ***
Comment 2 Bug Zapper 2010-11-03 06:21:29 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2010-12-03 07:35:03 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 4 Matt Riedemann 2013-06-21 08:38:37 EDT
I tried building from the source rpm in Fedora EPEL 6 on ppc64 and s390x and they both fail:

http://rpmfind.net//linux/RPM/epel/6/x86_64/pymongo-2.1.1-1.el6.x86_64.html

Here is one error from s390x:

+ CFLAGS='-O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -march=z9-109 -mtune=z10'
+ /usr/bin/python setup.py build

*****************************************************

The optional C extensions are currently not supported

on big endian platforms and will not be built.

Performance may be degraded.

*****************************************************

It was also failing with this:

chmod: cannot access `/home/esbld/rpmbuild-pymongo/BUILDROOT/pymongo-2.2.1-1.ibm.s390x/usr/lib64/python2.6/site-packages/pymongo/_cmessage.so': No such file or directory

and this:

RPM build errors:
    File not found: /home/esbld/rpmbuild-pymongo/BUILDROOT/pymongo-2.2.1-1.ibm.s390x/usr/lib64/python2.6/site-packages/pymongo
    File not found by glob: /home/esbld/rpmbuild-pymongo/BUILDROOT/pymongo-2.2.1-1.ibm.s390x/usr/lib64/python2.6/site-packages/pymongo-2.2.1-*.egg-info


Note that I had updated the source tar.gz from version 2.1.1 to 2.2.1 from PyPI but it didn't make a difference.
Comment 5 Dan Horák 2013-06-21 08:58:59 EDT
Matt, I think the reason is that the _cmessage.so module is not built per the  message you saw. This directly explain the first error. And the result of the first "error" is that the package is now arch independent and thus uses /usr/lib/python2.x/site-packages instead of /usr/lib64/... for the 64-bit arches.

And lets move the discussion to the mailing list (https://lists.fedoraproject.org/mailman/listinfo/ppc or https://lists.fedoraproject.org/mailman/listinfo/s390x), bugzilla is not the best place. Although this bug is about mongodb itself (where the situation hasn't change AFAIK) and not about the python interface for it.
Comment 6 Petr Pisar 2016-02-16 08:51:10 EST
Upstream plans big-endian support at the end of 2016 year <https://jira.mongodb.org/browse/SERVER-1625>.

E.g. Perl client already contains some preliminary code. I have no idea what network format is used, but provided clients can run on different hosts than localhost, I would be for lifting the ExcludeArch constraint from clients.

Note You need to log in before you can comment on or make changes to this bug.